@font-face {
  font-family: "hp";
  src: url("../polices/hp.ttf");
}

@font-face {
  font-family: "hp-quiz";
  src: url("../polices/hp_quiz.otf");
}

* {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: initial;
}

body {
  margin: 0;
  padding: 0;
  background: url("../asset/fond.png");
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "hp-quiz", sans-serif;
}

.quiz-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
}

.quiz-container .quiz-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100px;
  width: 100vw;
}

.quiz-container .quiz-header .quiz-title {
  font-size: 2.5rem;
  font-weight: bold;
  color: whitesmoke;
}

.quiz-container .quiz-header .quiz-timer {
  font-size: 1.5rem;
  font-weight: bold;
  color: whitesmoke;
}

.quiz-container .quiz-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}

.quiz-container .quiz-body .quiz-question::before {
  content: "";
  position: absolute;
  top: -145px;
  left: calc(50% - 100px);
  width: 195px;
  height: 160px;
  background-image: url("../asset/choixpeau.png");
  background-repeat: no-repeat;
  background-size: contain;
}

.quiz-container .quiz-body .quiz-question {
  position: relative;
  background-image: url("../asset/question.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 25px;
  margin-bottom: 10%;
  background-size: 100%;
  font-size: 1.5rem;
  text-align: center;
  font-weight: bold;
  color: #091521;
}

.quiz-container .quiz-body .quiz-answers {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 20px 20px;
}

.quiz-container .quiz-body .quiz-answers .answer {
  background: url("../asset/reponse.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  font-size: 1.3rem;
  font-weight: bold;
  color: whitesmoke;
  margin: 35px;
  padding: 10px;
  flex: 1 1 auto;
  width: 300px;
  height: 60px;
  transition: all 0.3s ease-in-out;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.quiz-container .quiz-body .quiz-answers .answer-image {
  background: url("../asset/reponse_image.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 10px;
  transition: all 0.3s ease-in-out;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 300px;
  min-height: 240px;
}

.quiz-container .quiz-body .quiz-answers .answer-image img {
  max-width: 150px;
  margin-bottom: 10px;
}
.quiz-container .quiz-body .quiz-answers .answer h3 {
  font-size: 1.2rem;
  font-weight: bold;
  color: #091521;
  text-align: center;
}

.quiz-container .quiz-body .quiz-answers .answer-image h3 {
  font-size: 1.1rem;
  font-weight: bold;
  color: #091521;
  text-align: center;
}

.quiz-container .quiz-body .quiz-answers .answer:hover,
.quiz-container .quiz-body .quiz-answers .answer-image:hover {
  cursor: pointer;
  transform: scale(1.1);
}

.resume {
  background-color: white;
  position: absolute;
  height: 89%;
  width: 0%;
  right: 0%;
  top: 0%;
  opacity: 0.8;
  display: none;
}

.answer,
.answer-image {
  position: relative;
}

.answer:hover .resume,
.answer-image:hover .resume {
  display: block;
  padding: 15px;
  line-height: 25px;
  overflow: scroll;
  overflow-x: hidden;
  animation: 1.5s forwards fadeResume;
}
@keyframes fadeResume {
  from {
    width: 0%;
  }
  to {
    width: 75%;
  }
}

.endSection {
  font-family: "hp", sans-serif;
}

.endSection .choixpeau {
  width: 265px;
  position: relative;
  top: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  animation: upDown 2s infinite;
}
@keyframes upDown {
  0% {
    top: 40px;
  }
  50% {
    top: 60px;
  }
  100% {
    top: 40px;
  }
}

.endSection .blason {
  width: 450px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 25px;
}

.endSection .blason {
  width: 450px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 25px;
}

.endSection .patronus {
  width: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 25px;
}

.endSection h3 {
  text-align: center;
  color: white;
  font-size: 65px;
}

.endSectionBack {
  margin-top: 25px;
  font-family: "hp", sans-serif;
  font-size: 45px;
  text-align: center;
  color: white;
}

.endSectionBack a {
  font-size: 45px;
  transition: all 0.3s ease-in-out;
  color: white;
}

.endSectionBack a:hover {
  transform: scale(1.1);
}

.quiz-footer {
  position: absolute;
  top: 0;
  left: auto;
  background-image: url("../asset/reponse.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 55px;
  background-size: 100%;
  font-size: 1.5rem;
  text-align: center;
  font-weight: bold;
  color: #091521;
}
